package com.gyee.frame.model.auto;

import java.util.List;

import io.swagger.annotations.ApiModelProperty;

public class GyeepermissionView {
	/**  **/
	@ApiModelProperty(value = "") 
private String id;
		
	/**  **/
	@ApiModelProperty(value = "") 
private String permisssionlevel;
		
	/**  **/
	@ApiModelProperty(value = "") 
private String permisssionname;
		
	/**  **/
	@ApiModelProperty(value = "") 
private String describes;
		
	/**  **/
	@ApiModelProperty(value = "") 
private String remark1;
		
	/**  **/
	@ApiModelProperty(value = "") 
private String remark2;
		
	/**  **/
	@ApiModelProperty(value = "") 
private String parent;
		
	/**  **/
	@ApiModelProperty(value = "") 
private String isable;
	
	@ApiModelProperty(value = "")
private List<GyeepermissionView> GyeePermissionList;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getPermisssionlevel() {
		return permisssionlevel;
	}

	public void setPermisssionlevel(String permisssionlevel) {
		this.permisssionlevel = permisssionlevel;
	}

	public String getPermisssionname() {
		return permisssionname;
	}

	public void setPermisssionname(String permisssionname) {
		this.permisssionname = permisssionname;
	}

	public String getDescribes() {
		return describes;
	}

	public void setDescribes(String describes) {
		this.describes = describes;
	}

	public String getRemark1() {
		return remark1;
	}

	public void setRemark1(String remark1) {
		this.remark1 = remark1;
	}

	public String getRemark2() {
		return remark2;
	}

	public void setRemark2(String remark2) {
		this.remark2 = remark2;
	}

	public String getParent() {
		return parent;
	}

	public void setParent(String parent) {
		this.parent = parent;
	}

	public String getIsable() {
		return isable;
	}

	public void setIsable(String isable) {
		this.isable = isable;
	}

	public List<GyeepermissionView> getGyeePermissionList() {
		return GyeePermissionList;
	}

	public void setGyeePermissionList(List<GyeepermissionView> gyeePermissionList) {
		GyeePermissionList = gyeePermissionList;
	}

	public GyeepermissionView(String id, String permisssionlevel, String permisssionname, String describes,
			String remark1, String remark2, String parent, String isable, List<GyeepermissionView> gyeePermissionList) {
		super();
		this.id = id;
		this.permisssionlevel = permisssionlevel;
		this.permisssionname = permisssionname;
		this.describes = describes;
		this.remark1 = remark1;
		this.remark2 = remark2;
		this.parent = parent;
		this.isable = isable;
		GyeePermissionList = gyeePermissionList;
	}

	public GyeepermissionView() {
		super();
	}

	

}
